import { StorageProxy } from '../../../../../client-api-platform/src/api/utils';
/**
 * Channel Storage Proxy allows population of storage keys in a different origin, assuming that origin has set up
 * a storage proxy on the specified URL.
 *
 * This is useful for writing to the localStorage of workspace when the provider is on a different origin.
 */
export declare class ChannelStorageProxy implements StorageProxy {
    #private;
    constructor(url: string);
    get isDestroyed(): boolean;
    /**
     * Sets a key in the proxied storage partition.
     * @param key Key to set
     * @param value Value.
     */
    setItem(key: string, value: string): Promise<void>;
    destroy(): Promise<void>;
}
